{% extends 'base.html' %}

{% block head %}
<title>Livre Mercado</title>
{% endblock %}

{% block body %}

{% if user.name!='' %}
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text">{{ user.name }}</span>
</span>
{% else %}]
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text"><a href="/login/">Fazer login</a></span>
</span>
{% endif %}

<div class="content">
    <h1 style="text-align: center;">Update Task</h1>


    <form action="./{{product.id}}" method="POST">
        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
            <input class="mdl-textfield__input" type="text" id="name1" maxlength="1000" name="name"value="{{product.name}}">
            <label class="mdl-textfield__label" for="name1">Nome...</label>
          </div>
          <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
            <input class="mdl-textfield__input" type="text" id="desc1" maxlength="1000" name="description" value="{{product.description}}">
            <label class="mdl-textfield__label" for="desc1">Descrição...</label>
          </div>        
          <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
            <input class="mdl-textfield__input" type="text" pattern="-?[0-9]*(\.[0-9]+)?" id="val1" name="value" value="{{product.value}}">
            <label class="mdl-textfield__label" for="val1">Preço...</label>
            <span class="mdl-textfield__error">Valor digitado não é um numero</span>
          </div> 
        <input class="mdl-button mdl-js-button mdl-button--raised" type="submit" value="Update">
    </form>
</div>
{% endblock %}